Package org.springframework.util.concurrent

# Interface FailureCallback

All Known Subinterfaces:
  `ListenableFutureCallback<T>`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@Deprecated(since="6.0", forRemoval=true) @FunctionalInterface public interface FailureCallback
Deprecated, for removal: This API element is subject to removal in a future version.
as of 6.0, in favor of `CompletableFuture.whenComplete(BiConsumer)`
Failure callback for a `ListenableFuture`.

Since:
  4.1
Author:
  Sebastien Deleuze

## Method Summary

Modifier and Type
Method
Description
`void`
`onFailure(Throwable ex)`
Deprecated, for removal: This API element is subject to removal in a future version.
Called when the `ListenableFuture` completes with failure.

## Method Details

### onFailure

void onFailure(Throwable ex)
Deprecated, for removal: This API element is subject to removal in a future version.
Called when the `ListenableFuture` completes with failure.

Note that Exceptions raised by this method are ignored.

Parameters:
  `ex` - the failure